%{?nodejs_find_provides_and_requires}

%global packagename csso

# Tests are failing
%global enable_tests 0

Name:		nodejs-csso
Version:	3.2.0
Release:	3%{?dist}
Summary:	CSSO (CSS Optimizer) is a CSS minifier with structural optimisations

License:	MIT
URL:		https://github.com/css/csso
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(css-tree)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(source-map)
%endif

%description
CSSO (CSS Optimizer) is a CSS minifier with structural optimisations


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# and the docs
%autosetup -T -D -a 2 -n package

# we don't need the browser version, thanks
rm -rf dist

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md docs/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 20 2017 Jared Smith <jsmith@fedoraproject.org> - 3.2.0-1
- Update to upstream 3.2.0 release

* Sat Jul 23 2016 Jared Smith <jsmith@fedoraproject.org> - 2.2.0-1
- Initial packaging
